#!/bin/sh
set -efu

PYS=$(pyversions -rv 2>/dev/null)

cd "$AUTOPKGTEST_TMP"

cat << EOF > hello.f
C File hello.f
      integer function foo (a)
      integer a
      foo = a + 1
      end
EOF

for py in " " $PYS; do
    [ "$py" = " " ] && py=""
    echo "=== f2py$py ==="
    f2py$py -c -m hello hello.f 2>&1
    python$py -c 'import hello; assert hello.foo(4) == 5'
    f2py$py-dbg -c -m hello hello.f 2>&1
    python$py-dbg -c 'import hello; assert hello.foo(4) == 5' 2>&1
done
